Subject: bug#48756: guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>

From: Madhavan Krishnan <[email-masked]>
Date: Mon, 31 May 2021 00:15:07 +0100

Hi there, I am trying to follow this instruction [[info:guix#Daemon
Offload Setup][guix#Daemon Offload Setup]] with guix
6086e6ed1a038793e358becddded50d97593f691 on the host and build machine
to set up a offload build machine, and I end up with the error below.

~ $ guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: Guix is usable on 'build-machine' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'build-machine' is running GNU Guile 3.0.5
guix offload: sending 1 store item (0 MiB) to 'build-machine'...
exporting path `/gnu/store/hqisv30c33ka8xascqh2x0lyqd0bp6z4-export-test'
guix offload: error: corrupt input while restoring archive from
#<closed: file 7f68866bf770>

Side note I tried testing if I could export manually to said build-machine,
which worked with out any problems.

~ $ guix archive --export -r emacs | ssh build-machine guix archive --import

and same goes for =guix offload status= which work fine as well.

Regards
-- 
Madhavan Krishnan